## fcitx5-rime 5.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.0)

project(fcitx5-rime VERSION 5.0.4)

find_package(ECM 1.0.0 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMSetupVersion)
include(ECMUninstallTarget)

find_package(Gettext REQUIRED)
find_package(Fcitx5Core 5.0.2 REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS Notifications)
find_package(PkgConfig REQUIRED)
pkg_check_modules(Rime REQUIRED IMPORTED_TARGET "rime>=1.0.0")

if(NOT DEFINED RIME_DATA_DIR)
  find_package(RimeData REQUIRED)
endif(NOT DEFINED RIME_DATA_DIR)
message(STATUS "Precompiler macro RIME_DATA_DIR is set to \"${RIME_DATA_DIR}\"")
add_definitions(-DRIME_DATA_DIR="${RIME_DATA_DIR}")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-rime\")
add_definitions(-DFCITX_RIME_VERSION=\"${PROJECT_VERSION}\")
fcitx5_add_i18n_definition()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(data)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Rime.metainfo.xml.in
                              org.fcitx.Fcitx5.Addon.Rime.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Rime.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===
install(DIRECTORY 48x48 scalable DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
        PATTERN .* EXCLUDE
        PATTERN *~ EXCLUDE)

=== src/CMakeLists.txt ===
set(RIME_SOURCES
    rimestate.cpp
    rimeengine.cpp
    rimecandidate.cpp
)
add_library(rime MODULE ${RIME_SOURCES})
target_link_libraries(rime Fcitx5::Core Fcitx5::Config PkgConfig::Rime Fcitx5::Module::Notifications)
set_target_properties(rime PROPERTIES PREFIX "")
install(TARGETS rime DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(rime.conf.in rime.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/rime.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
fcitx5_translate_desktop_file(rime-addon.conf.in rime-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/rime-addon.conf" RENAME rime.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-rime (5.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 22:32:06 +0800

fcitx5-rime (5.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Force build with librime 1.6+.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Jan 2021 12:12:14 -0500

fcitx5-rime (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 12 Dec 2020 21:52:13 +0800

fcitx5-rime (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Exclude icons that are clashed with fcitx-rime

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 22:55:03 +0800

fcitx5-rime (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Only install icons with org.fcitx.Fcitx5 prefix
  * Bump fcitx5 to 5.0.2

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 22:22:56 +0800

fcitx5-rime (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bump fcitx5 to 5.0.1
  * Add appstream metainfo

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 07 Nov 2020 01:44:15 +0800

fcitx5-rime (0.0~git20200913.e20996d-2) unstable; urgency=high

  * Team upload.
  * Add patch to rename icon with fcitx5 prefix (Closes: #973618)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 03 Nov 2020 00:41:00 +0800

fcitx5-rime (0.0~git20200913.e20996d-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot
  * Bump fcitx5 to 0.0~git20201030

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 01 Nov 2020 02:50:22 +0800

fcitx5-rime (0.0~git20200615.e4fc600-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 06:53:39 -0400

=== debian/control ===
Source: fcitx5-rime
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream,
 cmake (>= 3.4),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev (>= 5.0.2),
 gettext,
 libfcitx5core-dev (>= 5.0.2),
 librime-data,
 librime-dev (>= 1.6~),
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/fcitx/fcitx5-rime
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-rime.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-rime

Package: fcitx5-rime
Architecture: any
Multi-Arch: same
Depends:
 librime-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Rime input method support for fcitx5
 This package provides a wrapper of RIME engine for Fcitx5.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := 5

%:
	dh $@

execute_after_dh_auto_install:
	find debian/ -name 'fcitx-rime*png' -print -delete
	find debian/ -name 'fcitx-rime*svg' -print -delete

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-rime \
  refs/tags/@ANY_VERSION@ debian

## fcitx5-rime 5.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-rime VERSION 5.0.4)
+project(fcitx5-rime VERSION 5.0.11)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -10,10 +10,13 @@
 include(ECMUninstallTarget)
 
 find_package(Gettext REQUIRED)
-find_package(Fcitx5Core 5.0.2 REQUIRED)
-find_package(Fcitx5Module REQUIRED COMPONENTS Notifications)
+find_package(Fcitx5Core 5.0.6 REQUIRED)
+find_package(Fcitx5Module REQUIRED COMPONENTS Notifications DBus)
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(Rime REQUIRED IMPORTED_TARGET "rime>=1.0.0")
+if ("${Rime_VERSION}" VERSION_LESS "1.7.0")
+    add_definitions(-DFCITX_RIME_LOAD_PLUGIN)
+endif()
 
 if(NOT DEFINED RIME_DATA_DIR)
   find_package(RimeData REQUIRED)

=== src/CMakeLists.txt ===
set(RIME_SOURCES
    rimestate.cpp
    rimeengine.cpp
    rimecandidate.cpp
    rimeservice.cpp
)
add_library(rime MODULE ${RIME_SOURCES})
target_link_libraries(rime Fcitx5::Core Fcitx5::Config PkgConfig::Rime Fcitx5::Module::Notifications Fcitx5::Module::DBus)
set_target_properties(rime PROPERTIES PREFIX "")
install(TARGETS rime DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(rime.conf.in rime.conf)
configure_file(rime-addon.conf.in.in rime-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/rime-addon.conf.in" rime-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/rime.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/rime-addon.conf" RENAME rime.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-rime (5.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Feb 2022 12:14:29 -0500

fcitx5-rime (5.0.10-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jan 2022 11:11:37 -0500

fcitx5-rime (5.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Dec 2021 14:53:29 -0500

fcitx5-rime (5.0.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Mark binary package to conflict with fcitx-rime.
  * debian/rules: Install non-Flatpak icons.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Nov 2021 16:13:28 -0500

fcitx5-rime (5.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 03:13:33 +0800

fcitx5-rime (5.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 13:22:35 +0800

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  cmake (>= 3.4),
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 5.0.2),
+ fcitx5-modules-dev (>= 5.0.11),
  gettext,
- libfcitx5core-dev (>= 5.0.2),
+ libfcitx5core-dev (>= 5.0.11),
  librime-data,
  librime-dev (>= 1.6~),
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/fcitx/fcitx5-rime
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-rime.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-rime
@@ -28,6 +28,8 @@
  librime-data,
  ${misc:Depends},
  ${shlibs:Depends},
+Conflicts:
+ fcitx-rime,
 Description: Rime input method support for fcitx5
  This package provides a wrapper of RIME engine for Fcitx5.
  .

## fcitx5-rime 5.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-rime VERSION 5.0.11)
+project(fcitx5-rime VERSION 5.0.12)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

## fcitx5-rime 5.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-rime VERSION 5.0.12)
+project(fcitx5-rime VERSION 5.0.14)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-rime (5.0.14-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jul 2022 22:43:35 -0400

fcitx5-rime (5.0.13-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 May 2022 23:20:46 -0400

fcitx5-rime (5.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 11:40:32 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  librime-dev (>= 1.6~),
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/fcitx/fcitx5-rime
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-rime.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-rime

## fcitx5-rime 5.0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-rime VERSION 5.0.14)
+project(fcitx5-rime VERSION 5.0.15)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-rime (5.0.15-3) unstable; urgency=medium

  * Rebuild against librime 1.8.5.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Feb 2023 19:52:54 -0500

fcitx5-rime (5.0.15-2) unstable; urgency=medium

  * Rebuild against librime 1.8.3.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Jan 2023 12:34:28 -0500

fcitx5-rime (5.0.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Monitor upstream tarball.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 13:24:00 -0500

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  appstream,
- cmake (>= 3.4),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx5-modules-dev (>= 5.0.11),
  gettext,
  libfcitx5core-dev (>= 5.0.11),
  librime-data,
- librime-dev (>= 1.6~),
+ librime-dev (>= 1.8.5~),
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-rime
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-rime.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-rime

## fcitx5-rime 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.4.0)
+cmake_minimum_required(VERSION 3.6.0)
 
-project(fcitx5-rime VERSION 5.0.15)
+project(fcitx5-rime VERSION 5.1.1)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -10,12 +10,15 @@
 include(ECMUninstallTarget)
 
 find_package(Gettext REQUIRED)
-find_package(Fcitx5Core 5.0.6 REQUIRED)
+find_package(Fcitx5Core 5.1.0 REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS Notifications DBus)
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(Rime REQUIRED IMPORTED_TARGET "rime>=1.0.0")
 if ("${Rime_VERSION}" VERSION_LESS "1.7.0")
     add_definitions(-DFCITX_RIME_LOAD_PLUGIN)
+endif()
+if ("${Rime_VERSION}" VERSION_LESS "1.6.0")
+    add_definitions(-DFCITX_RIME_NO_LOG_LEVEL)
 endif()
 
 if(NOT DEFINED RIME_DATA_DIR)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
     rimeengine.cpp
     rimecandidate.cpp
     rimeservice.cpp
+    rimesession.cpp
 )
 add_library(rime MODULE ${RIME_SOURCES})
 target_link_libraries(rime Fcitx5::Core Fcitx5::Config PkgConfig::Rime Fcitx5::Module::Notifications Fcitx5::Module::DBus)

=== debian/changelog ===
fcitx5-rime (5.1.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 08:21:00 -0400

fcitx5-rime (5.1.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Aug 2023 22:11:09 -0400

fcitx5-rime (5.0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Jun 2023 10:03:11 -0400

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 5.0.11),
+ fcitx5-modules-dev (>= 5.1),
  gettext,
- libfcitx5core-dev (>= 5.0.11),
+ libfcitx5core-dev (>= 5.1),
  librime-data,
  librime-dev (>= 1.8.5~),
  pkg-config,

## fcitx5-rime 5.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6.0)
 
-project(fcitx5-rime VERSION 5.1.1)
+project(fcitx5-rime VERSION 5.1.4)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -10,15 +10,23 @@
 include(ECMUninstallTarget)
 
 find_package(Gettext REQUIRED)
-find_package(Fcitx5Core 5.1.0 REQUIRED)
-find_package(Fcitx5Module REQUIRED COMPONENTS Notifications DBus)
+find_package(Fcitx5Core 5.1.2 REQUIRED)
+find_package(Fcitx5Module REQUIRED COMPONENTS Notifications)
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(Rime REQUIRED IMPORTED_TARGET "rime>=1.0.0")
+
+if (NOT DEFINED RIME_TARGET)
+    pkg_check_modules(Rime REQUIRED IMPORTED_TARGET "rime>=1.0.0")
+    set(RIME_TARGET PkgConfig::Rime)
+endif()
+
 if ("${Rime_VERSION}" VERSION_LESS "1.7.0")
     add_definitions(-DFCITX_RIME_LOAD_PLUGIN)
 endif()
 if ("${Rime_VERSION}" VERSION_LESS "1.6.0")
     add_definitions(-DFCITX_RIME_NO_LOG_LEVEL)
+endif()
+if ("${Rime_VERSION}" VERSION_LESS "1.3.0")
+    add_definitions(-DFCITX_RIME_NO_SELECT_CANDIDATE)
 endif()
 
 if(NOT DEFINED RIME_DATA_DIR)

=== src/CMakeLists.txt ===
set(RIME_SOURCES
    rimestate.cpp
    rimeengine.cpp
    rimecandidate.cpp
    rimesession.cpp
)

set(RIME_LINK_LIBRARIES
    Fcitx5::Core
    Fcitx5::Config
    ${RIME_TARGET}
    Fcitx5::Module::Notifications
)

find_package(Fcitx5ModuleDBus QUIET)
if (Fcitx5ModuleDBus_FOUND)
    list(APPEND RIME_SOURCES rimeservice.cpp)
    list(APPEND RIME_LINK_LIBRARIES Fcitx5::Module::DBus)
else()
    add_definitions(-DFCITX_RIME_NO_DBUS)
endif()

add_library(rime MODULE ${RIME_SOURCES})
target_link_libraries(rime ${RIME_LINK_LIBRARIES})
install(TARGETS rime DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(rime.conf.in rime.conf)
configure_file(rime-addon.conf.in.in rime-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/rime-addon.conf.in" rime-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/rime.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod" COMPONENT config)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/rime-addon.conf" RENAME rime.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon" COMPONENT config)

=== debian/changelog ===
fcitx5-rime (5.1.4-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:03 +1100

fcitx5-rime (5.1.4-2build1) noble; urgency=medium

  * No-change rebuild against librime1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 02:20:02 +0000

fcitx5-rime (5.1.4-2) unstable; urgency=medium

  * Rebuild against librime 1.10.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Feb 2024 19:33:08 -0500

fcitx5-rime (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jan 2024 15:21:43 -0500

fcitx5-rime (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Nov 2023 15:46:16 -0400

fcitx5-rime (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Sep 2023 20:26:18 -0400

fcitx5-rime (5.1.1-2) unstable; urgency=medium

  * Rebuild against librime 1.9.0.
  * debian/control: Force binary package to depend on fcitx5.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Sep 2023 23:08:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fcitx5-rime
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -9,11 +10,11 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 5.1),
+ fcitx5-modules-dev (>= 5.1.2),
  gettext,
- libfcitx5core-dev (>= 5.1),
+ libfcitx5core-dev (>= 5.1.2),
  librime-data,
- librime-dev (>= 1.8.5~),
+ librime-dev (>= 1.10),
  pkg-config,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -25,6 +26,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ fcitx5,
  librime-data,
  ${misc:Depends},
  ${shlibs:Depends},

## fcitx5-rime 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6.0)
 
-project(fcitx5-rime VERSION 5.1.4)
+project(fcitx5-rime VERSION 5.1.8)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -10,7 +10,7 @@
 include(ECMUninstallTarget)
 
 find_package(Gettext REQUIRED)
-find_package(Fcitx5Core 5.1.2 REQUIRED)
+find_package(Fcitx5Core 5.1.9 REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS Notifications)
 find_package(PkgConfig REQUIRED)

=== debian/changelog ===
fcitx5-rime (5.1.8-2) unstable; urgency=medium

  * Force rebuild against librime 1.11.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2024 20:28:52 -0400

fcitx5-rime (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 13:33:49 -0400

fcitx5-rime (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 08:50:09 -0400

fcitx5-rime (5.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 20:29:57 -0400

fcitx5-rime (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Mar 2024 09:55:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcitx5-rime
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -10,14 +9,14 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 5.1.2),
+ fcitx5-modules-dev (>= 5.1.7),
  gettext,
- libfcitx5core-dev (>= 5.1.2),
+ libfcitx5core-dev (>= 5.1.7),
  librime-data,
- librime-dev (>= 1.10),
- pkg-config,
+ librime-dev (>= 1.11),
+ pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-rime
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-rime.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-rime

## fcitx5-rime 5.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6.0)
 
-project(fcitx5-rime VERSION 5.1.8)
+project(fcitx5-rime VERSION 5.1.9)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -10,15 +10,22 @@
 include(ECMUninstallTarget)
 
 find_package(Gettext REQUIRED)
-find_package(Fcitx5Core 5.1.9 REQUIRED)
+find_package(Fcitx5Core 5.1.11 REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS Notifications)
 find_package(PkgConfig REQUIRED)
+find_package(Pthread REQUIRED)
 
 if (NOT DEFINED RIME_TARGET)
     pkg_check_modules(Rime REQUIRED IMPORTED_TARGET "rime>=1.0.0")
     set(RIME_TARGET PkgConfig::Rime)
 endif()
 
+if ("${Rime_VERSION}" VERSION_LESS "1.10.0")
+    add_definitions(-DFCITX_RIME_NO_HIGHLIGHT_CANDIDATE)
+endif()
+if ("${Rime_VERSION}" VERSION_LESS "1.8.0")
+    add_definitions(-DFCITX_RIME_NO_DELETE_CANDIDATE)
+endif()
 if ("${Rime_VERSION}" VERSION_LESS "1.7.0")
     add_definitions(-DFCITX_RIME_LOAD_PLUGIN)
 endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
     rimeengine.cpp
     rimecandidate.cpp
     rimesession.cpp
+    rimeaction.cpp
 )
 
 set(RIME_LINK_LIBRARIES
@@ -10,6 +11,7 @@
     Fcitx5::Config
     ${RIME_TARGET}
     Fcitx5::Module::Notifications
+    Pthread::Pthread
 )
 
 find_package(Fcitx5ModuleDBus QUIET)

=== debian/changelog ===
fcitx5-rime (5.1.9-2) unstable; urgency=medium

  * New upstream release.
  * Force rebuild with librime 1.12.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Nov 2024 23:08:08 -0500

fcitx5-rime (5.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Oct 2024 18:45:03 -0400

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 5.1.7),
+ fcitx5-modules-dev (>= 5.1.11~),
  gettext,
- libfcitx5core-dev (>= 5.1.7),
+ libfcitx5core-dev (>= 5.1.11~),
  librime-data,
- librime-dev (>= 1.11),
+ librime-dev (>= 1.12),
  pkgconf,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0

## fcitx5-rime 5.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 cmake_minimum_required(VERSION 3.6.0)
 
-project(fcitx5-rime VERSION 5.1.9)
+project(fcitx5-rime VERSION 5.1.10)
+
+set(REQUIRED_FCITX_VERSION 5.1.12)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -10,7 +12,7 @@
 include(ECMUninstallTarget)
 
 find_package(Gettext REQUIRED)
-find_package(Fcitx5Core 5.1.11 REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS Notifications)
 find_package(PkgConfig REQUIRED)
 find_package(Pthread REQUIRED)

=== debian/changelog ===
fcitx5-rime (5.1.10-2) unstable; urgency=medium

  * Force rebuild with librime 1.13.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 12:18:09 -0500

fcitx5-rime (5.1.10-1) unstable; urgency=medium

  * New upstream release.
  * Force rebuild with librime 1.13.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 14:41:36 -0500

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 5.1.11~),
+ fcitx5-modules-dev (>= 5.1.12),
  gettext,
- libfcitx5core-dev (>= 5.1.11~),
+ libfcitx5core-dev (>= 5.1.12),
  librime-data,
- librime-dev (>= 1.12),
+ librime-dev (>= 1.13.1),
  pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fcitx/fcitx5-rime
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-rime.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-rime

## fcitx5-rime 5.1.11

=== debian/changelog ===
fcitx5-rime (5.1.11-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:46:46 -0400

fcitx5-rime (5.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 18:29:15 -0400

## fcitx5-rime 5.1.12

=== data/CMakeLists.txt ===
install(DIRECTORY 48x48 scalable DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
        PATTERN .* EXCLUDE
        PATTERN *~ EXCLUDE)

install(FILES fcitx5.yaml DESTINATION "${RIME_DATA_DIR}")

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-rime)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
     rimecandidate.cpp
     rimesession.cpp
     rimeaction.cpp
+    rimefactory.cpp
 )
 
 set(RIME_LINK_LIBRARIES
@@ -22,7 +23,7 @@
     add_definitions(-DFCITX_RIME_NO_DBUS)
 endif()
 
-add_library(rime MODULE ${RIME_SOURCES})
+add_fcitx5_addon(rime ${RIME_SOURCES})
 target_link_libraries(rime ${RIME_LINK_LIBRARIES})
 install(TARGETS rime DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 fcitx5_translate_desktop_file(rime.conf.in rime.conf)

=== debian/changelog ===
fcitx5-rime (5.1.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Oct 2025 15:58:55 -0400

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 5.1.12),
+ fcitx5-modules-dev (>= 5.1.14-4~),
  gettext,
- libfcitx5core-dev (>= 5.1.12),
+ libfcitx5core-dev (>= 5.1.14-4~),
  librime-data,
- librime-dev (>= 1.13.1),
+ librime-dev (>= 1.14.0),
  pkgconf,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-rime/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
